function gpcmodel = gPCmodel_reduceorder(p,gpcmodel_high)
%   To derive lower-order gpc from higher order
    if p==gpcmodel_high.order
        gpcmodel=gpcmodel_high;
        return
    end
    assert(p<=gpcmodel_high.order) 
    gpcmodel.order=p;
    gpcmodel.dim = gpcmodel_high.dim;
    gpcmodel.nbasis = nchoosek(gpcmodel.dim+p,p);
    gpcmodel.nbasis_2p = nchoosek(gpcmodel.dim+2*p,2*p);
    B = gpcmodel_high.BasisCoeff_2p;
    gpcmodel.BasisCoeff = B(1:gpcmodel.nbasis,1:gpcmodel.nbasis);
    gpcmodel.BasisCoeff_2p = B(1:gpcmodel.nbasis_2p,1:gpcmodel.nbasis_2p);
end